#ifndef _RAY_H_
#define _RAY_H_

#include "Vector3.h"

class Ray
{
public:
	Ray() {}
	Ray(const Vector3& o, const Vector3& d)
	{
		data[0] = o;
		data[1] = d;
	}
	Ray(const Ray& r)
	{
		*this = r;
	}
	Vector3 origin() const
	{
		return data[0];
	}
	Vector3 direction() const
	{
		return data[1];
	}
	void setOrigin(const Vector3& o)
	{
		data[0] = o;
	}
	void setDirection(const Vector3& d)
	{
		data[1] = d;
	}
	
	//pointAtParameter//add later
	Vector3 data[2]; //public for now, may reconsider later
};
#endif _RAY_H_