#ifndef _VECTOR2_H_
#define _VECTOR2_H_

class Vector2
{	
public:
	Vector2();
	Vector2(double x, double y);
	Vector2(const Vector2& v);
	double x() const;
	double y() const;
	void setX(double xIn);
	void setY(double yIn);

	double e[2];
};

inline Vector2::Vector2() {}

inline Vector2::Vector2(double x, double y)
{
	e[0] = x;
	e[1] = y;
}

inline Vector2::Vector2(const Vector2& v)
{
	e[0] = v.e[0];
	e[1] = v.e[1];
}

inline double Vector2::x() const
{
	return e[0];
}

inline double Vector2::y() const
{
	return e[1];
}

inline void Vector2::setX(double xIn)
{
	e[0] = xIn;
}

inline void Vector2::setY(double yIn)
{
	e[1] = yIn;
}

#endif //_VECTOR2_H_